LegacyLiveDataCommandsClientImpl (Hyperic HQ Plugin API)
Keywords: org.hyperic.hq.livedata.agent.client.LegacyLiveDataCommandsClientImpl class

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hyperic.hq.livedata.agent.client
Class LegacyLiveDataCommandsClientImpl

    java.lang.Object
      org.hyperic.hq.livedata.agent.client.LegacyLiveDataCommandsClientImpl

All Implemented Interfaces:
  LiveDataCommandsClient

    public class LegacyLiveDataCommandsClientImpl

extends java.lang.Object
implements LiveDataCommandsClient

The Live Data Commands client that uses the legacy transport.

Constructor Summary
`LegacyLiveDataCommandsClientImpl(AgentConnection agentConnection)`

Method Summary
`LiveDataResult` | `getData(AppdefEntityID id, java.lang.String type, java.lang.String command, ConfigResponse config)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### LegacyLiveDataCommandsClientImpl

    public LegacyLiveDataCommandsClientImpl(AgentConnection agentConnection)

Method Detail

### getData

    public LiveDataResult getData(AppdefEntityID id,
                                  java.lang.String type,
                                  java.lang.String command,
                                  ConfigResponse config)

  Specified by:
    `getData` in interface `LiveDataCommandsClient`
  See Also:
    `LiveDataCommandsClient.getData(org.hyperic.hq.appdef.shared.AppdefEntityID, java.lang.String, java.lang.String, org.hyperic.util.config.ConfigResponse)`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2006 Hyperic, Inc. support@hyperic.net, All Rights Reserved.